<?php
/**
 * Helper class for the calculators module
 * 
 * by Zapus Consulting, LLC
 *
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined( '_JEXEC' ) or die( 'Restricted access' ); 
 
class modCalculatorsAnnuityHelper
{
	 /**
     * Runs the Annuity Calculator
     *
     * @access public
     */    
	
	function printAnnuityCalcJS($params)	{
		?>
		
		<script type="text/javascript">
		
		function calculateAnnuity(amount, rate, years, form) {
		
		var total;
		var yearlyPrincipal = parseFloat(amount);
		var returnRate = parseFloat(rate) / 100;
		var numberYears = parseFloat(years);
		
		total = yearlyPrincipal * ( (Math.pow((1+returnRate),(numberYears+1)) - 1) / returnRate ) - yearlyPrincipal;
		
		form.total.value = total.toFixed(2);
		
		}
		
		// Reset the form
		function resetAnnuityForm(form) {
		
			form.amount.value = "";
			form.rate.value = "";
			form.years.value = "";
			form.total.value = "";
		}
		
		</script>
	
		<?php
	}
}
?>
